Nim Budget¶
Search Budgets¶
HTTP Request
POST /api/nim-budgets/search
📋 Description: Submits a search request for budget information within the NIM system, allowing users to filter results based on specified criteria to enhance financial decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the search results for budgets should be returned in a paginated format, enhancing the efficiency of data retrieval in large datasets. |
|
body |
body |
true |
Request body containing the search criteria and filters for retrieving budget information relevant to financial planning and resource allocation. |
Body Parameters
1{
2 "idEqual": 0,
3 "idIn": [
4 0
5 ],
6 "displayIdLike": "string",
7 "displayIdEqual": "string",
8 "projectLike": "string",
9 "yearEqual": 0,
10 "companyIdEqual": 0,
11 "departmentIdEqual": 0,
12 "statusIn": [
13 "DRAFT"
14 ],
15 "statusEqual": "DRAFT",
16 "requestCategoryIdIn": [
17 0
18 ],
19 "requestCategoryIdEqual": 0,
20 "workflowStepNameEqual": "string",
21 "createdByIdLike": "string",
22 "archivedEqual": true,
23 "masterBudgetIdEqual": 0,
24 "isMasterBudgetIdNull": true,
25 "leaseAreaIdIn": [
26 0
27 ],
28 "leaseAreaIdEqual": 0,
29 "yearGreaterThanOrEqual": 0,
30 "yearLessThanOrEqual": 0,
31 "createdOnGreaterThanOrEqual": "2019-08-24T14:15:22Z",
32 "createdOnLessThanOrEqual": "2019-08-24T14:15:22Z",
33 "createdOnEqual": "2019-08-24T14:15:22Z"
34}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "paged": true,
6 "unpaged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "createdOn": "2019-08-24T14:15:22Z",
24 "createdById": "string",
25 "modifiedOn": "2019-08-24T14:15:22Z",
26 "modifiedById": "string",
27 "createdByName": "string",
28 "lastModifiedByName": "string",
29 "requestedAmount": 0,
30 "spent": 0,
31 "companyCurrency": "string",
32 "endYear": 0,
33 "internalAssetClassIds": "string",
34 "availableCombos": "string",
35 "belongToBudgetId": 0,
36 "postedAssetExists": true,
37 "childrenIds": [
38 0
39 ],
40 "investmentAreaIds": [
41 0
42 ],
43 "investmentRequestToInvestmentArea": {
44 "id": 0,
45 "createdOn": "2019-08-24T14:15:22Z",
46 "createdById": "string",
47 "modifiedOn": "2019-08-24T14:15:22Z",
48 "modifiedById": "string",
49 "createdByName": "string",
50 "lastModifiedByName": "string",
51 "amount": 0,
52 "originalCurrencyId": 0,
53 "originalCurrencyDisplayId": "string",
54 "originalAmount": 0,
55 "rate": 0,
56 "rateDate": "2019-08-24",
57 "investmentAreaId": 0,
58 "investmentArea": {
59 "id": 0,
60 "createdOn": "2019-08-24T14:15:22Z",
61 "createdById": "string",
62 "modifiedOn": "2019-08-24T14:15:22Z",
63 "modifiedById": "string",
64 "createdByName": "string",
65 "lastModifiedByName": "string",
66 "displayId": "string",
67 "name": "string",
68 "assetClasses": [
69 0
70 ]
71 },
72 "investmentRequestYearDistributions": [
73 {
74 "id": 0,
75 "createdOn": "2019-08-24T14:15:22Z",
76 "createdById": "string",
77 "modifiedOn": "2019-08-24T14:15:22Z",
78 "modifiedById": "string",
79 "createdByName": "string",
80 "lastModifiedByName": "string",
81 "year": 0,
82 "amount": 0,
83 "originalCurrencyId": 0,
84 "originalCurrencyDisplayId": "string",
85 "originalAmount": 0,
86 "rate": 0,
87 "rateDate": "2019-08-24",
88 "spent": 0,
89 "investmentRequestToInvestmentAreaId": 0
90 }
91 ],
92 "totalSpent": 0,
93 "totalReserved": 0,
94 "balance": 0,
95 "linkedBudgets": [
96 {
97 "id": 0,
98 "createdOn": "2019-08-24T14:15:22Z",
99 "createdById": "string",
100 "modifiedOn": "2019-08-24T14:15:22Z",
101 "modifiedById": "string",
102 "createdByName": "string",
103 "lastModifiedByName": "string",
104 "requestCategoryId": 0,
105 "year": 0,
106 "displayId": "string",
107 "project": "string",
108 "requestCategory": {
109 "id": 0,
110 "createdOn": "2019-08-24T14:15:22Z",
111 "createdById": "string",
112 "modifiedOn": "2019-08-24T14:15:22Z",
113 "modifiedById": "string",
114 "createdByName": "string",
115 "lastModifiedByName": "string",
116 "displayId": "string",
117 "title": "string",
118 "subTitle": "string",
119 "icon": "string",
120 "budgetTitle": "string",
121 "budgetSubTitle": "string",
122 "investmentTitle": "string",
123 "investmentSubTitle": "string"
124 }
125 }
126 ]
127 },
128 "investmentRequestYearDistribution": {
129 "id": 0,
130 "createdOn": "2019-08-24T14:15:22Z",
131 "createdById": "string",
132 "modifiedOn": "2019-08-24T14:15:22Z",
133 "modifiedById": "string",
134 "createdByName": "string",
135 "lastModifiedByName": "string",
136 "year": 0,
137 "amount": 0,
138 "originalCurrencyId": 0,
139 "originalCurrencyDisplayId": "string",
140 "originalAmount": 0,
141 "rate": 0,
142 "rateDate": "2019-08-24",
143 "spent": 0,
144 "investmentRequestToInvestmentAreaId": 0
145 },
146 "investmentRequestId": 0,
147 "investmentRequestDisplayId": "string",
148 "investmentRequestTitle": "string",
149 "requestCategoryId": 0,
150 "year": 0,
151 "displayId": "string",
152 "leaseAreaId": 0,
153 "leaseAreaDisplayId": "string",
154 "leaseAreaName": "string",
155 "businessUnitId": 0,
156 "businessUnitDisplayId": "string",
157 "companyId": 0,
158 "companyDisplayId": "string",
159 "departmentId": 0,
160 "departmentDisplayId": "string",
161 "project": "string",
162 "companyCurrencyId": 0,
163 "companyCurrencyDisplayId": "string",
164 "reportingCurrencyId": 0,
165 "reportingCurrencyDisplayId": "string",
166 "masterBudgetId": 0,
167 "archived": true,
168 "inceptionExchangeRate": 0,
169 "exchangeRateValidFrom": "2019-08-24",
170 "weightedAverageExchangeRate": 0,
171 "status": "DRAFT",
172 "workflowStepName": "string",
173 "forcastYearStart": 0,
174 "forcastYearEnd": 0,
175 "actualYearStart": 0,
176 "actualYearEnd": 0,
177 "projectDescription": "string",
178 "projectJustification": "string",
179 "sponsor": "string",
180 "group1": {
181 "id": 0,
182 "createdOn": "2019-08-24T14:15:22Z",
183 "createdById": "string",
184 "modifiedOn": "2019-08-24T14:15:22Z",
185 "modifiedById": "string",
186 "createdByName": "string",
187 "lastModifiedByName": "string",
188 "displayId": "string",
189 "name": "string",
190 "type": "Group1"
191 },
192 "group2": {
193 "id": 0,
194 "createdOn": "2019-08-24T14:15:22Z",
195 "createdById": "string",
196 "modifiedOn": "2019-08-24T14:15:22Z",
197 "modifiedById": "string",
198 "createdByName": "string",
199 "lastModifiedByName": "string",
200 "displayId": "string",
201 "name": "string",
202 "type": "Group1"
203 },
204 "belongToBudget": {},
205 "totalRequestedAmount": 0,
206 "totalExpense": 0,
207 "totalSpent": 0,
208 "originalRequestedAmount": 0,
209 "modifiedAmount": 0,
210 "currentAvailable": 0,
211 "splitYears": "string",
212 "modificationId": 0,
213 "requestCategory": {
214 "id": 0,
215 "createdOn": "2019-08-24T14:15:22Z",
216 "createdById": "string",
217 "modifiedOn": "2019-08-24T14:15:22Z",
218 "modifiedById": "string",
219 "createdByName": "string",
220 "lastModifiedByName": "string",
221 "displayId": "string",
222 "title": "string",
223 "subTitle": "string",
224 "icon": "string",
225 "budgetTitle": "string",
226 "budgetSubTitle": "string",
227 "investmentTitle": "string",
228 "investmentSubTitle": "string"
229 },
230 "leaseArea": {
231 "id": 0,
232 "status": "CREATED",
233 "displayId": "string",
234 "name": "string",
235 "businessUnitId": 0
236 },
237 "businessUnit": {
238 "id": 0,
239 "status": "CREATED",
240 "displayId": "string",
241 "name": "string",
242 "leaseAreaId": 0,
243 "companyId": 0
244 },
245 "company": {
246 "id": 0,
247 "status": "CREATED",
248 "displayId": "string",
249 "erpSystemId": 0,
250 "erpSystemDisplayId": "string",
251 "countryId": 0,
252 "countryDisplayId": "string",
253 "postingPeriodVariantId": 0,
254 "name": "string",
255 "postingPeriodVariantDisplayId": "string",
256 "controllingAreaId": 0,
257 "controllingAreaDisplayId": "string",
258 "chartOfAccountId": 0,
259 "chartOfAccountDisplayId": "string",
260 "fiscalVariantId": 0,
261 "fiscalVariantDisplayId": "string",
262 "chartOfDepreciationId": 0,
263 "chartOfDepreciationDisplayId": "string",
264 "purchasingOrganizationId": 0,
265 "assetId": 0,
266 "exchangeRateTypeId": 0,
267 "plantId": 0,
268 "incrementalBorrowingRateId": 0,
269 "businessUnitId": 0,
270 "projectId": 0,
271 "transferVariantId": 0,
272 "partnerId": 0,
273 "departmentId": 0,
274 "accountingStandardId": 0,
275 "generalLedgerAccountId": 0,
276 "consumerPriceIndexCategoryId": 0,
277 "costCenterId": 0,
278 "costCenterRelationValidFrom": "2019-08-24",
279 "costCenterRelationValidTo": "2019-08-24"
280 },
281 "department": {
282 "id": 0,
283 "status": "CREATED",
284 "displayId": "string",
285 "name": "string",
286 "companyId": 0,
287 "leaseGroupId": 0
288 }
289 }
290 ],
291 "number": 0,
292 "sort": {
293 "unsorted": true,
294 "sorted": true,
295 "empty": true
296 },
297 "empty": true
298}
Post¶
HTTP Request
POST /api/nim-budgets/expenses
📋 Description: Creates a new expense entry within the budget management system, enabling organizations to track and manage their financial expenditures effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
expensePostDto |
query |
true |
Data transfer object containing the details of the expense to be recorded in the budget management system. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "successForAllPostings": true,
3 "errorMessage": "string",
4 "budgetDtoExpensePostedOn": {
5 "id": 0,
6 "createdOn": "2019-08-24T14:15:22Z",
7 "createdById": "string",
8 "modifiedOn": "2019-08-24T14:15:22Z",
9 "modifiedById": "string",
10 "createdByName": "string",
11 "lastModifiedByName": "string",
12 "requestedAmount": 0,
13 "spent": 0,
14 "companyCurrency": "string",
15 "endYear": 0,
16 "internalAssetClassIds": "string",
17 "availableCombos": "string",
18 "belongToBudgetId": 0,
19 "postedAssetExists": true,
20 "childrenIds": [
21 0
22 ],
23 "investmentAreaIds": [
24 0
25 ],
26 "investmentRequestToInvestmentArea": {
27 "id": 0,
28 "createdOn": "2019-08-24T14:15:22Z",
29 "createdById": "string",
30 "modifiedOn": "2019-08-24T14:15:22Z",
31 "modifiedById": "string",
32 "createdByName": "string",
33 "lastModifiedByName": "string",
34 "amount": 0,
35 "originalCurrencyId": 0,
36 "originalCurrencyDisplayId": "string",
37 "originalAmount": 0,
38 "rate": 0,
39 "rateDate": "2019-08-24",
40 "investmentAreaId": 0,
41 "investmentArea": {
42 "id": 0,
43 "createdOn": "2019-08-24T14:15:22Z",
44 "createdById": "string",
45 "modifiedOn": "2019-08-24T14:15:22Z",
46 "modifiedById": "string",
47 "createdByName": "string",
48 "lastModifiedByName": "string",
49 "displayId": "string",
50 "name": "string",
51 "assetClasses": [
52 0
53 ]
54 },
55 "investmentRequestYearDistributions": [
56 {
57 "id": 0,
58 "createdOn": "2019-08-24T14:15:22Z",
59 "createdById": "string",
60 "modifiedOn": "2019-08-24T14:15:22Z",
61 "modifiedById": "string",
62 "createdByName": "string",
63 "lastModifiedByName": "string",
64 "year": 0,
65 "amount": 0,
66 "originalCurrencyId": 0,
67 "originalCurrencyDisplayId": "string",
68 "originalAmount": 0,
69 "rate": 0,
70 "rateDate": "2019-08-24",
71 "spent": 0,
72 "investmentRequestToInvestmentAreaId": 0
73 }
74 ],
75 "totalSpent": 0,
76 "totalReserved": 0,
77 "balance": 0,
78 "linkedBudgets": [
79 {
80 "id": 0,
81 "createdOn": "2019-08-24T14:15:22Z",
82 "createdById": "string",
83 "modifiedOn": "2019-08-24T14:15:22Z",
84 "modifiedById": "string",
85 "createdByName": "string",
86 "lastModifiedByName": "string",
87 "requestCategoryId": 0,
88 "year": 0,
89 "displayId": "string",
90 "project": "string",
91 "requestCategory": {
92 "id": 0,
93 "createdOn": "2019-08-24T14:15:22Z",
94 "createdById": "string",
95 "modifiedOn": "2019-08-24T14:15:22Z",
96 "modifiedById": "string",
97 "createdByName": "string",
98 "lastModifiedByName": "string",
99 "displayId": "string",
100 "title": "string",
101 "subTitle": "string",
102 "icon": "string",
103 "budgetTitle": "string",
104 "budgetSubTitle": "string",
105 "investmentTitle": "string",
106 "investmentSubTitle": "string"
107 }
108 }
109 ]
110 },
111 "investmentRequestYearDistribution": {
112 "id": 0,
113 "createdOn": "2019-08-24T14:15:22Z",
114 "createdById": "string",
115 "modifiedOn": "2019-08-24T14:15:22Z",
116 "modifiedById": "string",
117 "createdByName": "string",
118 "lastModifiedByName": "string",
119 "year": 0,
120 "amount": 0,
121 "originalCurrencyId": 0,
122 "originalCurrencyDisplayId": "string",
123 "originalAmount": 0,
124 "rate": 0,
125 "rateDate": "2019-08-24",
126 "spent": 0,
127 "investmentRequestToInvestmentAreaId": 0
128 },
129 "investmentRequestId": 0,
130 "investmentRequestDisplayId": "string",
131 "investmentRequestTitle": "string",
132 "requestCategoryId": 0,
133 "year": 0,
134 "displayId": "string",
135 "leaseAreaId": 0,
136 "leaseAreaDisplayId": "string",
137 "leaseAreaName": "string",
138 "businessUnitId": 0,
139 "businessUnitDisplayId": "string",
140 "companyId": 0,
141 "companyDisplayId": "string",
142 "departmentId": 0,
143 "departmentDisplayId": "string",
144 "project": "string",
145 "companyCurrencyId": 0,
146 "companyCurrencyDisplayId": "string",
147 "reportingCurrencyId": 0,
148 "reportingCurrencyDisplayId": "string",
149 "masterBudgetId": 0,
150 "archived": true,
151 "inceptionExchangeRate": 0,
152 "exchangeRateValidFrom": "2019-08-24",
153 "weightedAverageExchangeRate": 0,
154 "status": "DRAFT",
155 "workflowStepName": "string",
156 "forcastYearStart": 0,
157 "forcastYearEnd": 0,
158 "actualYearStart": 0,
159 "actualYearEnd": 0,
160 "projectDescription": "string",
161 "projectJustification": "string",
162 "sponsor": "string",
163 "group1": {
164 "id": 0,
165 "createdOn": "2019-08-24T14:15:22Z",
166 "createdById": "string",
167 "modifiedOn": "2019-08-24T14:15:22Z",
168 "modifiedById": "string",
169 "createdByName": "string",
170 "lastModifiedByName": "string",
171 "displayId": "string",
172 "name": "string",
173 "type": "Group1"
174 },
175 "group2": {
176 "id": 0,
177 "createdOn": "2019-08-24T14:15:22Z",
178 "createdById": "string",
179 "modifiedOn": "2019-08-24T14:15:22Z",
180 "modifiedById": "string",
181 "createdByName": "string",
182 "lastModifiedByName": "string",
183 "displayId": "string",
184 "name": "string",
185 "type": "Group1"
186 },
187 "belongToBudget": {},
188 "totalRequestedAmount": 0,
189 "totalExpense": 0,
190 "totalSpent": 0,
191 "originalRequestedAmount": 0,
192 "modifiedAmount": 0,
193 "currentAvailable": 0,
194 "splitYears": "string",
195 "modificationId": 0,
196 "requestCategory": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "displayId": "string",
205 "title": "string",
206 "subTitle": "string",
207 "icon": "string",
208 "budgetTitle": "string",
209 "budgetSubTitle": "string",
210 "investmentTitle": "string",
211 "investmentSubTitle": "string"
212 },
213 "leaseArea": {
214 "id": 0,
215 "status": "CREATED",
216 "displayId": "string",
217 "name": "string",
218 "businessUnitId": 0
219 },
220 "businessUnit": {
221 "id": 0,
222 "status": "CREATED",
223 "displayId": "string",
224 "name": "string",
225 "leaseAreaId": 0,
226 "companyId": 0
227 },
228 "company": {
229 "id": 0,
230 "status": "CREATED",
231 "displayId": "string",
232 "erpSystemId": 0,
233 "erpSystemDisplayId": "string",
234 "countryId": 0,
235 "countryDisplayId": "string",
236 "postingPeriodVariantId": 0,
237 "name": "string",
238 "postingPeriodVariantDisplayId": "string",
239 "controllingAreaId": 0,
240 "controllingAreaDisplayId": "string",
241 "chartOfAccountId": 0,
242 "chartOfAccountDisplayId": "string",
243 "fiscalVariantId": 0,
244 "fiscalVariantDisplayId": "string",
245 "chartOfDepreciationId": 0,
246 "chartOfDepreciationDisplayId": "string",
247 "purchasingOrganizationId": 0,
248 "assetId": 0,
249 "exchangeRateTypeId": 0,
250 "plantId": 0,
251 "incrementalBorrowingRateId": 0,
252 "businessUnitId": 0,
253 "projectId": 0,
254 "transferVariantId": 0,
255 "partnerId": 0,
256 "departmentId": 0,
257 "accountingStandardId": 0,
258 "generalLedgerAccountId": 0,
259 "consumerPriceIndexCategoryId": 0,
260 "costCenterId": 0,
261 "costCenterRelationValidFrom": "2019-08-24",
262 "costCenterRelationValidTo": "2019-08-24"
263 },
264 "department": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "companyId": 0,
270 "leaseGroupId": 0
271 }
272 },
273 "expenseId": 0
274}
Get Budget Investment Areas¶
HTTP Request
GET /api/nim-budgets/{budgetId}/investment-areas
📋 Description: Fetches the investment areas associated with a specific budget, enabling users to analyze and manage financial allocations effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdOn": "2019-08-24T14:15:22Z",
5 "createdById": "string",
6 "modifiedOn": "2019-08-24T14:15:22Z",
7 "modifiedById": "string",
8 "createdByName": "string",
9 "lastModifiedByName": "string",
10 "amount": 0,
11 "originalCurrencyId": 0,
12 "originalCurrencyDisplayId": "string",
13 "originalAmount": 0,
14 "rate": 0,
15 "rateDate": "2019-08-24",
16 "investmentAreaId": 0,
17 "investmentArea": {
18 "id": 0,
19 "createdOn": "2019-08-24T14:15:22Z",
20 "createdById": "string",
21 "modifiedOn": "2019-08-24T14:15:22Z",
22 "modifiedById": "string",
23 "createdByName": "string",
24 "lastModifiedByName": "string",
25 "displayId": "string",
26 "name": "string",
27 "assetClasses": [
28 0
29 ]
30 },
31 "budgetYearDistributions": [
32 {
33 "id": 0,
34 "createdOn": "2019-08-24T14:15:22Z",
35 "createdById": "string",
36 "modifiedOn": "2019-08-24T14:15:22Z",
37 "modifiedById": "string",
38 "createdByName": "string",
39 "lastModifiedByName": "string",
40 "year": 0,
41 "amount": 0,
42 "originalCurrencyId": 0,
43 "originalCurrencyDisplayId": "string",
44 "originalAmount": 0,
45 "rate": 0,
46 "rateDate": "2019-08-24",
47 "spent": 0,
48 "budgetInvestmentAreaId": 0
49 }
50 ],
51 "investmentRequest": {
52 "id": 0,
53 "createdOn": "2019-08-24T14:15:22Z",
54 "createdById": "string",
55 "modifiedOn": "2019-08-24T14:15:22Z",
56 "modifiedById": "string",
57 "createdByName": "string",
58 "lastModifiedByName": "string",
59 "requestedAmount": 0,
60 "companyCurrency": "string",
61 "investmentAreaIds": [
62 0
63 ],
64 "requestCategoryId": 0,
65 "displayId": "string",
66 "leaseAreaId": 0,
67 "leaseAreaDisplayId": "string",
68 "leaseAreaName": "string",
69 "businessUnitId": 0,
70 "businessUnitDisplayId": "string",
71 "companyId": 0,
72 "companyDisplayId": "string",
73 "departmentId": 0,
74 "departmentDisplayId": "string",
75 "title": "string",
76 "investmentCurrencyId": 0,
77 "investmentCurrencyDisplayId": "string",
78 "companyCurrencyId": 0,
79 "companyCurrencyDisplayId": "string",
80 "reportingCurrencyId": 0,
81 "reportingCurrencyDisplayId": "string",
82 "masterInvestmentRequestId": 0,
83 "inceptionExchangeRate": 0,
84 "exchangeRateValidFrom": "2019-08-24",
85 "weightedAverageExchangeRate": 0,
86 "status": "DRAFT",
87 "workflowStepName": "string",
88 "description": "string",
89 "justification": "string",
90 "totalRequestedAmount": 0,
91 "totalExpense": 0,
92 "totalSpent": 0,
93 "originalRequestedAmount": 0,
94 "modifiedAmount": 0,
95 "currentAvailable": 0,
96 "modificationId": 0,
97 "requestCategory": {
98 "id": 0,
99 "createdOn": "2019-08-24T14:15:22Z",
100 "createdById": "string",
101 "modifiedOn": "2019-08-24T14:15:22Z",
102 "modifiedById": "string",
103 "createdByName": "string",
104 "lastModifiedByName": "string",
105 "displayId": "string",
106 "title": "string",
107 "subTitle": "string",
108 "icon": "string",
109 "budgetTitle": "string",
110 "budgetSubTitle": "string",
111 "investmentTitle": "string",
112 "investmentSubTitle": "string"
113 },
114 "expectedInitiationDate": "2019-08-24",
115 "expectedCompletionDate": "2019-08-24",
116 "actualInitiationDate": "2019-08-24",
117 "actualCompletionDate": "2019-08-24",
118 "requestUrgency": "string",
119 "leaseArea": {
120 "id": 0,
121 "status": "CREATED",
122 "displayId": "string",
123 "name": "string",
124 "businessUnitId": 0
125 },
126 "businessUnit": {
127 "id": 0,
128 "status": "CREATED",
129 "displayId": "string",
130 "name": "string",
131 "leaseAreaId": 0,
132 "companyId": 0
133 },
134 "company": {
135 "id": 0,
136 "status": "CREATED",
137 "displayId": "string",
138 "erpSystemId": 0,
139 "erpSystemDisplayId": "string",
140 "countryId": 0,
141 "countryDisplayId": "string",
142 "postingPeriodVariantId": 0,
143 "name": "string",
144 "postingPeriodVariantDisplayId": "string",
145 "controllingAreaId": 0,
146 "controllingAreaDisplayId": "string",
147 "chartOfAccountId": 0,
148 "chartOfAccountDisplayId": "string",
149 "fiscalVariantId": 0,
150 "fiscalVariantDisplayId": "string",
151 "chartOfDepreciationId": 0,
152 "chartOfDepreciationDisplayId": "string",
153 "purchasingOrganizationId": 0,
154 "assetId": 0,
155 "exchangeRateTypeId": 0,
156 "plantId": 0,
157 "incrementalBorrowingRateId": 0,
158 "businessUnitId": 0,
159 "projectId": 0,
160 "transferVariantId": 0,
161 "partnerId": 0,
162 "departmentId": 0,
163 "accountingStandardId": 0,
164 "generalLedgerAccountId": 0,
165 "consumerPriceIndexCategoryId": 0,
166 "costCenterId": 0,
167 "costCenterRelationValidFrom": "2019-08-24",
168 "costCenterRelationValidTo": "2019-08-24"
169 },
170 "department": {
171 "id": 0,
172 "status": "CREATED",
173 "displayId": "string",
174 "name": "string",
175 "companyId": 0,
176 "leaseGroupId": 0
177 },
178 "linkedBudgets": [
179 {
180 "id": 0,
181 "createdOn": "2019-08-24T14:15:22Z",
182 "createdById": "string",
183 "modifiedOn": "2019-08-24T14:15:22Z",
184 "modifiedById": "string",
185 "createdByName": "string",
186 "lastModifiedByName": "string",
187 "requestCategoryId": 0,
188 "year": 0,
189 "displayId": "string",
190 "project": "string",
191 "requestCategory": {
192 "id": 0,
193 "createdOn": "2019-08-24T14:15:22Z",
194 "createdById": "string",
195 "modifiedOn": "2019-08-24T14:15:22Z",
196 "modifiedById": "string",
197 "createdByName": "string",
198 "lastModifiedByName": "string",
199 "displayId": "string",
200 "title": "string",
201 "subTitle": "string",
202 "icon": "string",
203 "budgetTitle": "string",
204 "budgetSubTitle": "string",
205 "investmentTitle": "string",
206 "investmentSubTitle": "string"
207 }
208 }
209 ],
210 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
211 0
212 ]
213 },
214 "investmentRequests": [
215 {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "requestedAmount": 0,
224 "companyCurrency": "string",
225 "investmentAreaIds": [
226 0
227 ],
228 "requestCategoryId": 0,
229 "displayId": "string",
230 "leaseAreaId": 0,
231 "leaseAreaDisplayId": "string",
232 "leaseAreaName": "string",
233 "businessUnitId": 0,
234 "businessUnitDisplayId": "string",
235 "companyId": 0,
236 "companyDisplayId": "string",
237 "departmentId": 0,
238 "departmentDisplayId": "string",
239 "title": "string",
240 "investmentCurrencyId": 0,
241 "investmentCurrencyDisplayId": "string",
242 "companyCurrencyId": 0,
243 "companyCurrencyDisplayId": "string",
244 "reportingCurrencyId": 0,
245 "reportingCurrencyDisplayId": "string",
246 "masterInvestmentRequestId": 0,
247 "inceptionExchangeRate": 0,
248 "exchangeRateValidFrom": "2019-08-24",
249 "weightedAverageExchangeRate": 0,
250 "status": "DRAFT",
251 "workflowStepName": "string",
252 "description": "string",
253 "justification": "string",
254 "totalRequestedAmount": 0,
255 "totalExpense": 0,
256 "totalSpent": 0,
257 "originalRequestedAmount": 0,
258 "modifiedAmount": 0,
259 "currentAvailable": 0,
260 "modificationId": 0,
261 "requestCategory": {
262 "id": 0,
263 "createdOn": "2019-08-24T14:15:22Z",
264 "createdById": "string",
265 "modifiedOn": "2019-08-24T14:15:22Z",
266 "modifiedById": "string",
267 "createdByName": "string",
268 "lastModifiedByName": "string",
269 "displayId": "string",
270 "title": "string",
271 "subTitle": "string",
272 "icon": "string",
273 "budgetTitle": "string",
274 "budgetSubTitle": "string",
275 "investmentTitle": "string",
276 "investmentSubTitle": "string"
277 },
278 "expectedInitiationDate": "2019-08-24",
279 "expectedCompletionDate": "2019-08-24",
280 "actualInitiationDate": "2019-08-24",
281 "actualCompletionDate": "2019-08-24",
282 "requestUrgency": "string",
283 "leaseArea": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "businessUnitId": 0
289 },
290 "businessUnit": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "name": "string",
295 "leaseAreaId": 0,
296 "companyId": 0
297 },
298 "company": {
299 "id": 0,
300 "status": "CREATED",
301 "displayId": "string",
302 "erpSystemId": 0,
303 "erpSystemDisplayId": "string",
304 "countryId": 0,
305 "countryDisplayId": "string",
306 "postingPeriodVariantId": 0,
307 "name": "string",
308 "postingPeriodVariantDisplayId": "string",
309 "controllingAreaId": 0,
310 "controllingAreaDisplayId": "string",
311 "chartOfAccountId": 0,
312 "chartOfAccountDisplayId": "string",
313 "fiscalVariantId": 0,
314 "fiscalVariantDisplayId": "string",
315 "chartOfDepreciationId": 0,
316 "chartOfDepreciationDisplayId": "string",
317 "purchasingOrganizationId": 0,
318 "assetId": 0,
319 "exchangeRateTypeId": 0,
320 "plantId": 0,
321 "incrementalBorrowingRateId": 0,
322 "businessUnitId": 0,
323 "projectId": 0,
324 "transferVariantId": 0,
325 "partnerId": 0,
326 "departmentId": 0,
327 "accountingStandardId": 0,
328 "generalLedgerAccountId": 0,
329 "consumerPriceIndexCategoryId": 0,
330 "costCenterId": 0,
331 "costCenterRelationValidFrom": "2019-08-24",
332 "costCenterRelationValidTo": "2019-08-24"
333 },
334 "department": {
335 "id": 0,
336 "status": "CREATED",
337 "displayId": "string",
338 "name": "string",
339 "companyId": 0,
340 "leaseGroupId": 0
341 },
342 "linkedBudgets": [
343 {
344 "id": 0,
345 "createdOn": "2019-08-24T14:15:22Z",
346 "createdById": "string",
347 "modifiedOn": "2019-08-24T14:15:22Z",
348 "modifiedById": "string",
349 "createdByName": "string",
350 "lastModifiedByName": "string",
351 "requestCategoryId": 0,
352 "year": 0,
353 "displayId": "string",
354 "project": "string",
355 "requestCategory": {
356 "id": 0,
357 "createdOn": "2019-08-24T14:15:22Z",
358 "createdById": "string",
359 "modifiedOn": "2019-08-24T14:15:22Z",
360 "modifiedById": "string",
361 "createdByName": "string",
362 "lastModifiedByName": "string",
363 "displayId": "string",
364 "title": "string",
365 "subTitle": "string",
366 "icon": "string",
367 "budgetTitle": "string",
368 "budgetSubTitle": "string",
369 "investmentTitle": "string",
370 "investmentSubTitle": "string"
371 }
372 }
373 ],
374 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
375 0
376 ]
377 }
378 ],
379 "totalSpent": 0,
380 "totalReserved": 0,
381 "budgetBalance": 0
382 }
383]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a designated area for budget investments, encapsulating key financial metrics and strategic alignment to support informed decision-making in resource allocation.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the budget investment area was created, providing essential context for tracking changes and historical analysis. |
» createdById |
string |
false |
none |
Unique identifier for the created by |
» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the budget investment area, ensuring accurate tracking of changes for financial oversight. |
» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
» createdByName |
string |
false |
none |
Name of the created by |
» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
» amount |
number |
false |
none |
Amount value |
» originalCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the original currency |
» originalCurrencyDisplayId |
string |
false |
none |
Unique identifier for the original currency display |
» originalAmount |
number |
false |
none |
Amount of original |
» rate |
number |
false |
none |
Rate value |
» rateDate |
string(date) |
false |
none |
Date of the rate |
» investmentAreaId |
integer(int64) |
false |
none |
Unique identifier for the investment area |
» investmentArea |
false |
none |
Data transfer object representing a designated area for investment opportunities, including relevant metrics and strategic insights to support informed decision-making in resource allocation. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the investment area was created, providing essential context for tracking its lifecycle and historical data. |
»» createdById |
string |
false |
none |
Unique identifier for the created by |
»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the investment area record, providing crucial information for tracking updates and changes. |
»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»» createdByName |
string |
false |
none |
Name of the created by |
»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» name |
string |
false |
none |
Name of the resource |
»» assetClasses |
[integer] |
false |
none |
An array of investment areas that categorizes the various asset classes relevant to the portfolio. |
» budgetYearDistributions |
false |
none |
Array of budget year distributions detailing the allocation of funds across various investment areas for effective financial planning and management. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the budget year distribution record was created, providing essential context for tracking financial planning timelines. |
»» createdById |
string |
false |
none |
Unique identifier for the created by |
»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date of the budget year distribution, ensuring accurate tracking of changes for financial planning and analysis. |
»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»» createdByName |
string |
false |
none |
Name of the created by |
»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»» year |
integer(int32) |
false |
none |
Represents the fiscal year associated with the budget distribution, facilitating accurate financial planning and reporting. |
»» amount |
number |
false |
none |
Amount value |
»» originalCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the original currency |
»» originalCurrencyDisplayId |
string |
false |
none |
Unique identifier for the original currency display |
»» originalAmount |
number |
false |
none |
Amount of original |
»» rate |
number |
false |
none |
Rate value |
»» rateDate |
string(date) |
false |
none |
Date of the rate |
»» spent |
number |
false |
none |
Represents the total amount of budget allocated for expenditures within the specified budget year. |
»» budgetInvestmentAreaId |
integer(int64) |
false |
none |
Unique identifier for the budget investment area |
» investmentRequest |
false |
none |
Data transfer object representing a request for investment, encapsulating key details such as investment amount, purpose, and associated metadata to facilitate informed decision-making in financial planning. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the investment request was created, providing essential context for tracking and managing investment timelines. |
»» createdById |
string |
false |
none |
Unique identifier for the created by |
»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the investment request, ensuring accurate tracking of updates within the investment management process. |
»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»» createdByName |
string |
false |
none |
Name of the created by |
»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»» requestedAmount |
number |
false |
none |
Amount of requested |
»» companyCurrency |
string |
false |
none |
Specifies the currency in which the investment request is denominated, ensuring accurate financial representation and reporting. |
»» investmentAreaIds |
[integer] |
false |
none |
Array of unique identifiers representing the specific investment areas associated with the investment request. |
»» requestCategoryId |
integer(int64) |
false |
none |
Unique identifier for the request category |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» leaseAreaId |
integer(int64) |
false |
none |
Unique identifier for the lease area |
»» leaseAreaDisplayId |
string |
false |
none |
Unique identifier for the lease area display |
»» leaseAreaName |
string |
false |
none |
Name of the lease area |
»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»» businessUnitDisplayId |
string |
false |
none |
Unique identifier for the business unit display |
»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»» companyDisplayId |
string |
false |
none |
Unique identifier for the company display |
»» departmentId |
integer(int64) |
false |
none |
Unique identifier for the department |
»» departmentDisplayId |
string |
false |
none |
Unique identifier for the department display |
»» title |
string |
false |
none |
Title of the resource |
»» investmentCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the investment currency |
»» investmentCurrencyDisplayId |
string |
false |
none |
Unique identifier for the investment currency display |
»» companyCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the company currency |
»» companyCurrencyDisplayId |
string |
false |
none |
Unique identifier for the company currency display |
»» reportingCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the reporting currency |
»» reportingCurrencyDisplayId |
string |
false |
none |
Unique identifier for the reporting currency display |
»» masterInvestmentRequestId |
integer(int64) |
false |
none |
Unique identifier for the master investment request |
»» inceptionExchangeRate |
number |
false |
none |
Rate of inception exchange |
»» exchangeRateValidFrom |
string(date) |
false |
none |
Indicates the date and time from which the specified exchange rate is considered valid for the investment request. |
»» weightedAverageExchangeRate |
number |
false |
none |
Rate of weighted average exchange |
»» status |
string |
false |
none |
Status of the resource |
»» workflowStepName |
string |
false |
none |
Name of the workflow step |
»» description |
string |
false |
none |
Description of the resource |
»» justification |
string |
false |
none |
Explanation for the rationale behind the investment request, providing necessary context for decision-making and approval processes. |
»» totalRequestedAmount |
number |
false |
none |
Amount of total requested |
»» totalExpense |
number |
false |
none |
TotalExpense represents the cumulative financial outlay associated with the investment request, providing essential insight for budgetary assessments and financial planning. |
»» totalSpent |
number |
false |
none |
Total amount of funds allocated to the investment request, reflecting the overall financial commitment made by the organization. |
»» originalRequestedAmount |
number |
false |
none |
Amount of original requested |
»» modifiedAmount |
number |
false |
none |
Amount of modified |
»» currentAvailable |
number |
false |
none |
Represents the current available amount of funds for investment requests within the system. |
»» modificationId |
integer(int64) |
false |
none |
Unique identifier for the modification |
»» requestCategory |
false |
none |
Data transfer object representing a category of requests within the system, designed to facilitate efficient management and classification of various request types in business operations. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the request category was created, providing essential context for tracking and managing request lifecycle. |
»»» createdById |
string |
false |
none |
Unique identifier for the created by |
»»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the request category, ensuring accurate tracking of updates for auditing and reporting purposes. |
»»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»»» createdByName |
string |
false |
none |
Name of the created by |
»»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» title |
string |
false |
none |
Title of the resource |
»»» subTitle |
string |
false |
none |
Title of the sub |
»»» icon |
string |
false |
none |
Represents the visual symbol associated with the request category, enhancing user interface clarity and aiding in category identification. |
»»» budgetTitle |
string |
false |
none |
Title of the budget |
»»» budgetSubTitle |
string |
false |
none |
Title of the budget sub |
»»» investmentTitle |
string |
false |
none |
Title of the investment |
»»» investmentSubTitle |
string |
false |
none |
Title of the investment sub |
»» expectedInitiationDate |
string(date) |
false |
none |
Date of the expected initiation |
»» expectedCompletionDate |
string(date) |
false |
none |
Date of the expected completion |
»» actualInitiationDate |
string(date) |
false |
none |
Date of the actual initiation |
»» actualCompletionDate |
string(date) |
false |
none |
Date of the actual completion |
»» requestUrgency |
string |
false |
none |
Indicates the level of urgency for the investment request, helping prioritize processing and resource allocation. |
»» leaseArea |
false |
none |
Data transfer object representing a defined lease area within a property management system, encompassing key attributes such as location, size, and associated lease terms to facilitate effective lease administration and reporting. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» name |
string |
true |
none |
Name of the resource |
»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»» businessUnit |
false |
none |
Data transfer object representing a business unit within the organization, encapsulating essential details such as unit name, identifier, and associated metadata to facilitate effective organizational management and reporting. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» name |
string |
true |
none |
Name of the resource |
»»» leaseAreaId |
integer(int64) |
false |
none |
Unique identifier for the lease area |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»» company |
false |
none |
Data transfer object representing a company entity, encapsulating essential details such as name, address, and contact information, to facilitate seamless integration and management of business relationships. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»»» countryId |
integer(int64) |
false |
none |
Unique identifier for the country |
»»» countryDisplayId |
string |
false |
none |
Unique identifier for the country display |
»»» postingPeriodVariantId |
integer(int64) |
false |
none |
Unique identifier for the posting period variant |
»»» name |
string |
false |
none |
Name of the resource |
»»» postingPeriodVariantDisplayId |
string |
false |
none |
Unique identifier for the posting period variant display |
»»» controllingAreaId |
integer(int64) |
false |
none |
Unique identifier for the controlling area |
»»» controllingAreaDisplayId |
string |
false |
none |
Unique identifier for the controlling area display |
»»» chartOfAccountId |
integer(int64) |
false |
none |
Unique identifier for the chart of account |
»»» chartOfAccountDisplayId |
string |
false |
none |
Unique identifier for the chart of account display |
»»» fiscalVariantId |
integer(int64) |
false |
none |
Unique identifier for the fiscal variant |
»»» fiscalVariantDisplayId |
string |
false |
none |
Unique identifier for the fiscal variant display |
»»» chartOfDepreciationId |
integer(int64) |
false |
none |
Unique identifier for the chart of depreciation |
»»» chartOfDepreciationDisplayId |
string |
false |
none |
Unique identifier for the chart of depreciation display |
»»» purchasingOrganizationId |
integer(int64) |
false |
none |
Unique identifier for the purchasing organization |
»»» assetId |
integer(int64) |
false |
none |
Unique identifier for the asset |
»»» exchangeRateTypeId |
integer(int64) |
false |
none |
Unique identifier for the exchange rate type |
»»» plantId |
integer(int64) |
false |
none |
Unique identifier for the plant |
»»» incrementalBorrowingRateId |
integer(int64) |
false |
none |
Unique identifier for the incremental borrowing rate |
»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»»» projectId |
integer(int64) |
false |
none |
Unique identifier for the project |
»»» transferVariantId |
integer(int64) |
false |
none |
Unique identifier for the transfer variant |
»»» partnerId |
integer(int64) |
false |
none |
Unique identifier for the partner |
»»» departmentId |
integer(int64) |
false |
none |
Unique identifier for the department |
»»» accountingStandardId |
integer(int64) |
false |
none |
Unique identifier for the accounting standard |
»»» generalLedgerAccountId |
integer(int64) |
false |
none |
Unique identifier for the general ledger account |
»»» consumerPriceIndexCategoryId |
integer(int64) |
false |
none |
Unique identifier for the consumer price index category |
»»» costCenterId |
integer(int64) |
false |
none |
Unique identifier for the cost center |
»»» costCenterRelationValidFrom |
string(date) |
false |
none |
Indicates the effective start date for the cost center relationship, ensuring accurate financial tracking and reporting within the organization. |
»»» costCenterRelationValidTo |
string(date) |
false |
none |
Indicates the expiration date of the cost center relationship, ensuring accurate financial reporting and resource allocation within the organization. |
»» department |
false |
none |
Data transfer object representing a department within the organization, encapsulating key attributes such as department name, manager, and associated personnel, essential for effective resource allocation and organizational structure management. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» name |
string |
true |
none |
Name of the resource |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»» leaseGroupId |
integer(int64) |
false |
none |
Unique identifier for the lease group |
»» linkedBudgets |
false |
none |
Array of linked budget identifiers associated with the investment request, facilitating budget management and allocation tracking. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the budget entry was created, providing essential context for tracking budget lifecycle and historical analysis. |
»»» createdById |
string |
false |
none |
Unique identifier for the created by |
»»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the budget entry, ensuring accurate tracking of changes for financial oversight. |
»»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»»» createdByName |
string |
false |
none |
Name of the created by |
»»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»»» requestCategoryId |
integer(int64) |
false |
none |
Unique identifier for the request category |
»»» year |
integer(int32) |
false |
none |
Represents the fiscal year associated with the budget, enabling accurate financial planning and reporting. |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» project |
string |
false |
none |
Represents the name or identifier of the project associated with the budget, facilitating effective financial management and tracking. |
»»» requestCategory |
false |
none |
Data transfer object representing a category of requests within the system, designed to facilitate efficient management and classification of various request types in business operations. |
|
»» investmentRequestToInvestmentAreaIdsLinkedToBudget |
[integer] |
false |
none |
Array of identifiers linking investment requests to specific investment areas associated with the budget, facilitating streamlined financial tracking and allocation. |
» investmentRequests |
false |
none |
An array of budget investment area requests that outlines the proposed financial allocations for various investment initiatives within the organization. |
|
» totalSpent |
number |
false |
none |
Total amount of funds allocated to the specific investment area, reflecting the overall expenditure for budget management. |
» totalReserved |
number |
false |
none |
Represents the total amount of budget allocated for reservations within the investment area, facilitating effective financial planning and resource management. |
» budgetBalance |
number |
false |
none |
Represents the remaining budget available for investment within a specified area, facilitating effective financial management and resource allocation. |
Enumerated Values
Attribute |
Value |
|---|---|
status |
ACTIVE, APPROVED, CREATED, DECOMMISSIONED, DISABLED, DRAFT, MODIFICATION, REJECTED, REWORK, SUBMITTED |